package com.rjconsultores.ventaboletos.rest.service;

import java.util.List;

import org.springframework.stereotype.Service;

import com.rjconsultores.routing.ReadOnlyConnection;
import com.rjconsultores.ventaboletos.dao.PuntoVentaDAO;
import com.rjconsultores.ventaboletos.rest.bean.ParamsDadosOperador;
import com.rjconsultores.ventaboletos.vo.embarcada.UsuarioEmbarcadaVO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Service("sincronizarOperadoresService")
public class SincronizarOperadoresService {

	@ReadOnlyConnection
	public List<UsuarioEmbarcadaVO> buscarDadosOperador(ParamsDadosOperador params) {
		PuntoVentaDAO puntoVentaDAO = (PuntoVentaDAO)AppContext.getApplicationContext().getBean("puntoVentaDAO");
		return puntoVentaDAO.buscaUsuariosDoPuntoVenta(params.getPuntoVentaId());
	}	
	
}
