package com.rjconsultores.ventaboletos.web.gui.controladores.configuracioneccomerciales;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.HistoricoPuntoVenta;

public class PuntoVendaHistoricoBloqueioListItemRenderer implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {

		HistoricoPuntoVenta h = (HistoricoPuntoVenta) o;

		Listcell lc = new Listcell(h.getIndBloqueio() ? "Bloqueio" : "Desbloqueio");
		lc.setParent(lstm);

		SimpleDateFormat formato = new SimpleDateFormat("dd/MM/yyyy");

		lc = new Listcell(formato.format(h.getFecBloqueio()));
		lc.setParent(lstm);

		lstm.setAttribute("data", lc);
	}

}
